#include <stdio.h>
#include <tiuser.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>

main(argc, argv)
int argc;
char **argv;
{
    int fd;                   /* fd into transport provider */
    int flags = 0;            /* used to receive info       */
    char buf[BUFSIZ];         /* holds message from server  */
    struct t_unitdata *datap; /* used to call server        */
    struct hostent *hp;       /* holds IP address of server */
    struct sockaddr_in myaddr; /* address that client uses  */
    struct sockaddr_in servaddr; /* the server's full addr  */

    if (argc != 2) {
        printf("usage: %s address_of_server\n", argv[0]);
        exit(1);
    }

    /*
     *  Create the transport endpoint
     */

    if ((fd = t_open("/dev/ticlts", O_RDWR, NULL)) < 0) {
        t_error("t_open failed!");
        exit(1);
    }

    /*
     *  Bind to an arbitrary return address
     */

    if (t_bind(fd, NULL, NULL) < 0) {
        t_error("t_bind failed!");
        exit(1);
    }
    /*
     *  Get memory to hold call structure, copy in
     *  the server's address, and connect to the service
     */

    if ((datap = (struct t_unitdata *)t_alloc(fd, T_UNITDATA,
                                      T_ALL)) == NULL) {
        t_error("t_alloc failed!");
        exit(1);
    }

    datap->addr.len = strlen(argv[1]) + 1;
    datap->addr.buf = argv[1];
    datap->udata.len = strlen(argv[1]) + 1;
    datap->udata.buf = argv[1];

    if (t_sndudata(fd, datap) < 0) {
        t_error("t_sndudata failed!");
        exit(1);
    }

    sleep(10);
}
